Bug 1351514 (CVE-2016-5008) - CVE-2016-5008 libvirt: Setting empty VNC password allows access to unauthorized users
Summary: CVE-2016-5008 libvirt: Setting empty VNC password allows access to unauthoriz...
Status: NEW
Alias: CVE-2016-5008
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20150118,repor...
Keywords: Security
Depends On: 1180092 1351516 1351517
Blocks: 1323912 1351518
TreeView+ depends on / blocked
 
Reported: 2016-06-30 08:43 UTC by Adam Mariš
Modified: 2019-06-08 21:19 UTC (History)
27 users (show)

(edit)
It was found that setting a VNC password to an empty string in libvirt did not disable all access to the VNC server as documented, instead it allowed access with no authentication required. An attacker could use this flaw to access a VNC server with an empty VNC password without any authentication.
Clone Of:
(edit)
Last Closed:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2577 normal SHIPPED_LIVE Moderate: libvirt security, bug fix, and enhancement update 2016-11-03 12:07:06 UTC

Description Adam Mariš 2016-06-30 08:43:34 UTC
It was found that setting VNC password to empty string doesn't work in a way as it's documented. The documented semantics of setting the password to an empty string are that it disables all access to the VNC server, however in fact it allows all users access with no authentication required instead.

Product bug:

https://bugzilla.redhat.com/show_bug.cgi?id=1180092

Comment 1 Adam Mariš 2016-06-30 08:44:35 UTC
Created mingw-libvirt tracking bugs for this issue:

Affects: fedora-all [bug 1351517]

Comment 2 Adam Mariš 2016-06-30 08:44:51 UTC
Created libvirt tracking bugs for this issue:

Affects: fedora-all [bug 1351516]

Comment 3 Fedora Update System 2016-07-22 15:57:18 UTC
libvirt-1.3.3.2-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2016-07-27 20:51:47 UTC
libvirt-1.2.18.4-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 errata-xmlrpc 2016-11-03 18:48:12 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2016:2577 https://rhn.redhat.com/errata/RHSA-2016-2577.html


Note You need to log in before you can comment on or make changes to this bug.